Package org.apache.calcite.avatica

## Class MetaImpl.MetaCrossReference

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaCrossReference

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaCrossReference
    extends java.lang.Object

Metadata describing a cross reference.

### Field Summary

Fields
`short` `deferability`
`short` `deleteRule`
`java.lang.String` `fkcolumnName`
`java.lang.String` `fkName`
`java.lang.String` `fktableCat`
`java.lang.String` `fktableName`
`java.lang.String` `fktableSchem`
`short` `keySeq`
`java.lang.String` `pkcolumnName`
`java.lang.String` `pkName`
`java.lang.String` `pktableCat`
`java.lang.String` `pktableName`
`java.lang.String` `pktableSchem`
`short` `updateRule`

### Constructor Summary

Constructors
`MetaCrossReference​(java.lang.String pktableCat, java.lang.String pktableSchem, java.lang.String pktableName, java.lang.String pkcolumnName, java.lang.String fktableCat, java.lang.String fktableSchem, java.lang.String fktableName, java.lang.String fkcolumnName, short keySeq, short updateRule, short deleteRule, java.lang.String fkName, java.lang.String pkName, short deferability)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pktableCat

    public final java.lang.String pktableCat

#### pktableSchem

    public final java.lang.String pktableSchem

#### pktableName

    public final java.lang.String pktableName

#### pkcolumnName

    public final java.lang.String pkcolumnName

#### fktableCat

    public final java.lang.String fktableCat

#### fktableSchem

    public final java.lang.String fktableSchem

#### fktableName

    public final java.lang.String fktableName

#### fkcolumnName

    public final java.lang.String fkcolumnName

#### keySeq

    public final short keySeq

#### updateRule

    public final short updateRule

#### deleteRule

    public final short deleteRule

#### fkName

    public final java.lang.String fkName

#### pkName

    public final java.lang.String pkName

#### deferability

    public final short deferability

### Constructor Detail

#### MetaCrossReference

    public MetaCrossReference​(java.lang.String pktableCat,
                              java.lang.String pktableSchem,
                              java.lang.String pktableName,
                              java.lang.String pkcolumnName,
                              java.lang.String fktableCat,
                              java.lang.String fktableSchem,
                              java.lang.String fktableName,
                              java.lang.String fkcolumnName,
                              short keySeq,
                              short updateRule,
                              short deleteRule,
                              java.lang.String fkName,
                              java.lang.String pkName,
                              short deferability)